#ifndef BEARD_DROPLET_FALL_SPEED_H
#define BEARD_DROPLET_FALL_SPEED_H 1


#ifdef __cplusplus
extern "C" {
#endif

  /* Fortran function: return fall speed (m/s) given inputs of
     diameter (m), temperature (K) and air density (kg m-3) */
  float beard_droplet_fall_speed_(const float* diameter, 
				  const float* T, 
				  const float* rho_a);

  static inline
  float
  beard_droplet_fall_speed(float diameter, float T, float rho_a)
  {
    return beard_droplet_fall_speed_(&diameter, &T, &rho_a);
  }

#ifdef __cplusplus
}
#endif
#endif
